# sapling

sapling is a "micro-language" that I'm working on to investigate [Tree Calculus](https://treecalcul.us/specification) .

It offers a minimal amount of syntax sugar:

- `t` operator behaving by the rules of Tree Calculus
- Variable definitions
- Lambda abstractions
- List, Integer, and String literals

This is an active experimentation project by someone who has no idea what they're doing.

## Acknowledgements 

Tree Calculus was discovered by [Barry Jay](https://github.com/barry-jay-personal/blog). 

[treecalcul.us](https://treecalcul.us) is an excellent website with an intuitive playground created by [Johannes Bader](https://johannes-bader.com/) that introduced me to Tree Calculus. If sapling sounds interesting but you don't want to figure out how to compile Haskell, check his site out.
